#include "mbed.h"
#include "motor.h"

void Motor::backward(double voltage) {
    if(voltage > maxSpeed){
        voltage = maxSpeed;
    }else if(voltage < minSpeed){
        voltage = minSpeed;
    }
    forw.write(voltage);
    back.write(0);
}

void Motor::forward(double voltage) {
    if(voltage > maxSpeed){
        voltage = maxSpeed;
    }else if(voltage < minSpeed){
        voltage = minSpeed;
    }
    forw.write(0);
    back.write(voltage);
}

void Motor::move(double voltage) {
    if(voltage < 0){
        backward(-voltage);
    }
    if(voltage > 0){
        forward(voltage);
    }
}


void Motor::brake() {
    forw.write(BRAKE_VOLTAGE);
    back.write(BRAKE_VOLTAGE);
}

void Motor::coast() {
    forw.write(0);
    back.write(0);
}